 #!/bin/bash
 PACKAGENAME="com.serveratcloud.app";
 OBBFILE="main.1.com.serveratcloud.app.obb";
 APK="serveratcloud.apk"
DIRECTORY=`dirname $0`
ADB="$DIRECTORY/platform-tools-osx/adb"; 
STORAGE="/sdcard"
echo "Uninstalling existing application. Failures here can almost always be ignored."
$ADB  uninstall $PACKAGENAME
echo "."
sudo $ADB   shell chmod 777 -R $STORAGE/Download
sudo $ADB   shell chmod 777 -R $STORAGE/Android
sudo $ADB   shell chmod 777 -R $STORAGE/UE4Game
sudo $ADB   shell chmod 777 -R $STORAGE/obb

echo "Installing existing application. Failures here indicate a problem with the device (connection or storage permissions) and are fatal."
sudo $ADB   install $DIRECTORY/$APK
sudo $ADB   shell rm -r $STORAGE/UE4Game/SamNightmare
sudo $ADB   shell rm -r $STORAGE/UE4Game/UE4CommandLine.txt
sudo $ADB   shell rm -r $STORAGE/obb/$PACKAGENAME
sudo $ADB   shell rm -r $STORAGE/Android/obb/$PACKAGENAME
sudo $ADB  shell rm -r $STORAGE/Download/obb/$PACKAGENAME
echo "Installing new data. Failures here indicate storage problems (missing SD card or bad permissions) and are fatal."
sudo $ADB   push $DIRECTORY/$OBBFILE $STORAGE/Download/obb/$PACKAGENAME/$OBBFILE

sudo $ADB  shell mkdir $STORAGE/Android/obb/$PACKAGENAME
sudo $ADB  shell cp $STORAGE/Download/obb/$PACKAGENAME/* $STORAGE/Android/obb/$PACKAGENAME
sudo $ADB  shell rm -r $STORAGE/Download/obb/$PACKAGENAME

echo "IF YOU DIDNT SEE ANY INSTALLATION ERRORS THEN CHECK THE APP IN APPS >> Unkown Sources"

